package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;
import com.rjconsultores.ventaboletos.entidad.ConexionDescuento;

public class RenderConexionDescuento implements ListitemRenderer {

	@Override
	public void render(Listitem listItem, Object obj) throws Exception {
		ConexionDescuento conexionDescuento = (ConexionDescuento) obj;

		Listcell lc = new Listcell(conexionDescuento.getDescuento().toString());
		lc.setParent(listItem);
		
		lc = new Listcell(conexionDescuento.getDescuentoTasaEmbarque() != null ? conexionDescuento.getDescuentoTasaEmbarque().toString() : "");
		lc.setParent(listItem);

		lc = new Listcell(conexionDescuento.getClaseServicio().getDescclase());
		lc.setParent(listItem);
	}
}
